> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Items



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}/budget/versions/{versionId}/items
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/budget/versions/{versionId}/items:
    get:
      tags:
        - Project Budget Versions
      summary: Items
      operationId: ProjectBudgetVersionsController_items_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d{0,18}$
        - name: projectId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d{0,18}$
        - name: versionId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d{0,18}$
        - name: limit
          required: false
          in: query
          schema:
            default: 20
            type: integer
            minimum: 1
            maximum: 100
        - name: cursor
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectBudgetVersionItemsResponseDto'
      security:
        - bearer: []
components:
  schemas:
    ProjectBudgetVersionItemsResponseDto:
      type: object
      properties:
        captured:
          type: boolean
        items:
          type: array
          items:
            $ref: '#/components/schemas/ProjectBudgetVersionItemResponseDto'
        nextCursor:
          type:
            - string
            - 'null'
        hasMore:
          type: boolean
      required:
        - captured
        - items
        - nextCursor
        - hasMore
    ProjectBudgetVersionItemResponseDto:
      type: object
      properties:
        name:
          type:
            - string
            - 'null'
        referenceNumber:
          type:
            - string
            - 'null'
        softCostOverrides:
          type: object
          additionalProperties:
            oneOf:
              - type: object
                additionalProperties: false
                required:
                  - mode
                  - rate
                properties:
                  mode:
                    type: string
                    enum:
                      - percentage
                  rate:
                    type: string
                    pattern: ^\d{1,16}(?:\.\d{1,6})?$
              - type: object
                additionalProperties: false
                required:
                  - mode
                  - amount
                properties:
                  mode:
                    type: string
                    enum:
                      - amount
                  amount:
                    type: string
                    pattern: ^\d{1,16}(?:\.\d{1,6})?$
              - type: object
                additionalProperties: false
                required:
                  - mode
                properties:
                  mode:
                    type: string
                    enum:
                      - excluded
        plannedSoftCosts:
          type: object
          additionalProperties:
            anyOf:
              - type: string
              - type: 'null'
        currentSoftCosts:
          type: object
          additionalProperties:
            anyOf:
              - type: string
              - type: 'null'
        slotId:
          type: string
        categoryId:
          type:
            - string
            - 'null'
        budgetPrice:
          type:
            - string
            - 'null'
        budgetQuantity:
          type:
            - string
            - 'null'
      required:
        - name
        - referenceNumber
        - slotId
        - categoryId
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.